from flask import Flask
from flask import render_template

HOST = '0.0.0.0'
DEBUG = True

app = Flask(__name__)
app.config.from_object(__name__)

users = ['John', 'Jane']
fruits = {
            'John': ["Apple", "Orange", "Pear", "Plum"],
            'Jane': ["Raspberry", "Strawberry", "Melon"]
         }

@app.route('/')
def index():
    return render_template(
            "index.html",
            title = "Hello World",
            users = users)


@app.route('/<username>')
def user(username):
    return render_template(
            "user.html",
            username = username,
            fruits = fruits)


if __name__ == '__main__':
    app.run(host = app.config['HOST'], debug = app.config['DEBUG'])
