from flask import Flask
from flask import render_template, redirect, url_for

from flask.ext.wtf import Form
from wtforms import TextField
from wtforms.validators import Required


HOST = '0.0.0.0'
DEBUG = True

app = Flask(__name__)
app.config.from_object(__name__)
app.secret_key = "seed for csrf token"

users = ['John', 'Jane']
fruits = {
            'John': ["Apple", "Orange", "Pear", "Plum"],
            'Jane': ["Raspberry", "Strawberry", "Melon"]
         }

@app.route('/')
def index():
    return render_template(
            "index.html",
            title = "Hello World",
            users = users)

@app.route('/<username>')
def user(username):
    return render_template(
            "user.html",
            title = "Hello World",
            username = username,
            fruits = fruits,
            users = users)


class SimpleForm(Form):
    name = TextField(u"Name", validators=[Required()])
    fruits = TextField(u"Fruits")

@app.route('/add_user', methods = ['GET', 'POST'])
def add_user():
    form = SimpleForm()
    if form.validate_on_submit():
        global users, fruits

        name = form.name.data.strip()
        users.append(name)

        fruits[name] = form.fruits.data.split()

        return redirect(url_for('user', username=name))

    return render_template('add_user.html', form=form)



if __name__ == '__main__':
    app.run(host = app.config['HOST'], debug = app.config['DEBUG'])

